// PseudoList.cpp : implementation file
//

#include "stdafx.h"
#include "PseudoList.h"
#include "umain.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPseudoList

CPseudoList::CPseudoList(int wid, int cmd) : m_wid(wid), m_cmd(cmd)
{
}

CPseudoList::~CPseudoList()
{
}


BEGIN_MESSAGE_MAP(CPseudoList, CListCtrl)
	//{{AFX_MSG_MAP(CPseudoList)
	ON_WM_LBUTTONDBLCLK()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPseudoList message handlers

void CPseudoList::OnLButtonDblClk(UINT nFlags, CPoint point) 
{
	UINT pFlags;
	int nItem = HitTest(point, &pFlags);
	if(nItem != -1)
	{
		CString s = GetItemText(nItem, 0);

		UEventSendMessage(m_wid, EV_LIST_DBLCLICK, UMAKEINT(m_cmd, nItem),
			(void *)(const char *)s);
	}

	CListCtrl::OnLButtonDblClk(nFlags, point);
}
